include ../../layout/components/paginacao

div
	filtro-processos(paginacao="consultarProcesso.paginacao",
		disabled-fields="consultarProcesso.disabledFields",
		atualizar-lista="consultarProcesso.atualizarListaProcessos",
		atualizar-paginacao="consultarProcesso.atualizarPaginacao",
		pesquisar-ao-inicializar="true",
		is-analise-juridica="false",
		is-analise-tecnica="false",
		is-analise-geo="false",
		is-gerente="false",
		is-gerente-logado="false",
		consultar-processos="true",
		pesquisar-todas-gerencias="false",
		filtrar-por-usuario="false")

	h4 Lista de protocolos

	hr
	.row
		.col-md-12
			div(ng-if="consultarProcesso.processos && consultarProcesso.processos.length > 0").table-responsive
				table.table.table-striped.table-condensed.no-margin
					thead
						tr
							th.col-sm
							th.col-md-1.text-center Protocolo
							th.col-md-2.text-center CPF/CNPJ
							th.col-md-3.text-center Empreendimento
							th.col-md-2.text-center Município
							th.col-md-1.text-center Licença
							th.text-center(ng-class="{'col-md-1': consultarProcesso.usuarioLogadoCodigoPerfil !== consultarProcesso.perfis.PRESIDENTE, 'col-md-2': consultarProcesso.usuarioLogadoCodigoPerfil === consultarProcesso.perfis.PRESIDENTE}") Prazo análise
							th.col-md-1(ng-if="consultarProcesso.usuarioLogadoCodigoPerfil !== consultarProcesso.perfis.PRESIDENTE").text-center Prazo análise técnica
							th.col-md-1.text-center Ações
					tbody
						tr(ng-repeat="processo in consultarProcesso.processos")
							td
								span(ng-class="{'icone-solicitacao-desvinculo-pendente': processo.idCondicaoTramitacao === consultarProcesso.condicaoTramitacao.SOLICITACAO_DESVINCULO_PENDENTE_ANALISE_TECNICA}")
								span(ng-class="{'icone-solicitacao-finalizada-geo': consultarProcesso.verificaStatusAnaliseGeo(processo.idCondicaoTramitacao)}")
								span(ng-class="{'icone-solicitacao-finalizada-tecnica': consultarProcesso.verificaStatusAnaliseTecnica(processo.idCondicaoTramitacao)}")
								span(ng-class="{'icone-revisao-atendida': processo.idCondicaoTramitacao === consultarProcesso.condicaoTramitacao.NOTIFICADO_PELO_ANALISTA_GEO}")
								span(ng-class="{'icone-revisao-atendida': processo.idCondicaoTramitacao === consultarProcesso.condicaoTramitacao.NOTIFICADO_PELO_ANALISTA_TECNICO}")
								span(ng-if="consultarProcesso.usuarioLogadoCodigoPerfil !== consultarProcesso.perfis.ANALISTA_TECNICO", ng-class="{'icone-licenca-emitida': processo.statusCaracterizacao === consultarProcesso.statusCaracterizacao.VIGENTE}")
								span(ng-if="consultarProcesso.usuarioLogadoCodigoPerfil !== consultarProcesso.perfis.ANALISTA_TECNICO", ng-class="{'icone-aguardando-pagamento-taxa': processo.idCondicaoTramitacao === consultarProcesso.condicaoTramitacao.SOLICITACAO_LICENCA_APROVADA && processo.statusCaracterizacao !== consultarProcesso.statusCaracterizacao.VIGENTE}")
								span(ng-if="consultarProcesso.usuarioLogadoCodigoPerfil !== consultarProcesso.perfis.ANALISTA_TECNICO", ng-class="{'icone-solicitacao-licenca-indeferida': processo.idCondicaoTramitacao === consultarProcesso.condicaoTramitacao.SOLICITACAO_LICENCA_NEGADA}")
								span(ng-class="{'icone-aguardando-resposta-juridico': processo.idCondicaoTramitacao === consultarProcesso.condicaoTramitacao.AGUARDANDO_RESPOSTA_JURIDICO && consultarProcesso.usuarioLogadoCodigoPerfil !== consultarProcesso.perfis.ANALISTA_GEO}")
								span(ng-class="{'icone-aguardando-comunicado': processo.idCondicaoTramitacao === consultarProcesso.condicaoTramitacao.AGUARDANDO_RESPOSTA_COMUNICADO}")
							
							td(ng-attr-title="{{processo.numero}}").text-center {{processo.numero}}
							td.text-center {{processo.cpfEmpreendimento ? processo.cpfEmpreendimento : processo.cnpjEmpreendimento | brCpfCnpj}}
							td.text-center.break-word {{processo.denominacaoEmpreendimento}}
							td.text-center {{processo.municipioEmpreendimento}}/{{processo.siglaEstadoEmpreendimento}}
							td.text-center {{processo.licencas}}

							td(ng-class="{'error-message': consultarProcesso.dateUtil.verificaPrazoMinimoData(consultarProcesso.dateUtil.somaPrazoEmDias(processo.dataCadastroAnalise, consultarProcesso.PrazoAnalise.ANALISE), consultarProcesso.PrazoMinimoAvisoAnalise.ANALISE)}").text-center
								| {{ consultarProcesso.dateUtil.getContaDiasRestantesData(consultarProcesso.dateUtil.somaPrazoEmDias(processo.dataCadastroAnalise, consultarProcesso.PrazoAnalise.ANALISE)) }}

							td(ng-if="consultarProcesso.usuarioLogadoCodigoPerfil !== consultarProcesso.perfis.PRESIDENTE", ng-class="{'error-message': consultarProcesso.dateUtil.verificaPrazoMinimoData(processo.dataVencimentoPrazoAnaliseTecnica, consultarProcesso.PrazoMinimoAvisoAnalise.ANALISE_TECNICA)}")
								| {{ consultarProcesso.prazoAnaliseTecnica(processo) }}

							td
								span.pull-right

									.dropdown.action-table
										button#dropdownMenu1.btn.btn-default.dropdown-toggle(type='button', data-toggle='dropdown', aria-haspopup='true', aria-expanded='true', ng-click="consultarProcesso.validacaoDocumentos(processo)")
											| Ações &nbsp;
											span.caret
										ul.dropdown-menu.dropdown-menu-right(aria-labelledby='dropdownMenu1')
											li
												a(ng-click="consultarProcesso.visualizarProcesso(processo)")
													i.glyphicon.glyphicon-eye-open
													span Visualizar protocolo
											//- li(ng-if="(consultarProcesso.verificaStatusAnaliseGeo(processo.idCondicaoTramitacao) || consultarProcesso.usuarioLogadoCodigoPerfil === consultarProcesso.perfis.ANALISTA_TECNICO) && consultarProcesso.usuarioLogadoCodigoPerfil !== consultarProcesso.perfis.GERENTE")
											//- 	a(ng-click="consultarProcesso.downloadPDFparecer(processo)")
											//- 		i.glyphicon.glyphicon-eye-open
											//- 		span Visualizar parecer GEO
											li(ng-if="(consultarProcesso.verificaStatusAnaliseTecnica(processo.idCondicaoTramitacao) && consultarProcesso.usuarioLogadoCodigoPerfil === consultarProcesso.perfis.ANALISTA_TECNICO) && consultarProcesso.usuarioLogadoCodigoPerfil !== consultarProcesso.perfis.GERENTE")
												a(ng-click="consultarProcesso.downloadPDFCartaImagem(processo)")
													i.glyphicon.glyphicon-eye-open
													span Visualizar carta imagem
											li(ng-if="consultarProcesso.verificaStatusAnaliseTecnica(processo.idCondicaoTramitacao) && consultarProcesso.usuarioLogadoCodigoPerfil === consultarProcesso.perfis.ANALISTA_TECNICO")
												a(ng-click="consultarProcesso.downloadPDFparecerTecnico(processo)")
													i.glyphicon.glyphicon-eye-open
													span Visualizar parecer TÉCNICO
											li(ng-if="consultarProcesso.verificaStatusAnaliseTecnica(processo.idCondicaoTramitacao) && consultarProcesso.usuarioLogadoCodigoPerfil === consultarProcesso.perfis.ANALISTA_TECNICO && consultarProcesso.temMinuta === true")
												a(ng-click="consultarProcesso.downloadPDFminuta(processo)")
													i.glyphicon.glyphicon-eye-open
													span Visualizar Minuta
											li(ng-if="consultarProcesso.verificaStatusAnaliseTecnica(processo.idCondicaoTramitacao) && consultarProcesso.usuarioLogadoCodigoPerfil === consultarProcesso.perfis.ANALISTA_TECNICO && consultarProcesso.temRTV === true")
												a(ng-click="consultarProcesso.downloadPDFvistoria(processo)")
													i.glyphicon.glyphicon-eye-open
													span Visualizar RTV
											li(ng-if="processo.idCondicaoTramitacao === consultarProcesso.condicaoTramitacao.NOTIFICADO_PELO_ANALISTA_GEO")
												a(ng-click="consultarProcesso.visualizarNotificacao(processo)")
													i.glyphicon.glyphicon-eye-open
													span Visualizar notificação

											li(ng-if="processo.idCondicaoTramitacao === consultarProcesso.condicaoTramitacao.NOTIFICADO_PELO_ANALISTA_TECNICO")
												a(ng-click="consultarProcesso.visualizarNotificacao(processo)")
													i.glyphicon.glyphicon-eye-open
													span Visualizar notificação

				.legenda(ng-if="consultarProcesso.usuarioLogadoCodigoPerfil === consultarProcesso.perfis.GERENTE")

					span.col-md-4.icone-solicitacao-desvinculo-pendente.legenda-margin Solicitação de Desvínculo Pendente
					span.col-md-4.icone-revisao-atendida.legenda-margin Notificado
					span.col-md-4.icone-solicitacao-finalizada-tecnica.legenda-margin Análise técnica finalizada
					span.col-md-4.icone-licenca-emitida.legenda-margin Licença emitida
					//- span.col-md-4.icone-aguardando-pagamento-taxa.legenda-margin Análise Aprovada
					span.col-md-4.icone-solicitacao-licenca-indeferida.legenda-margin(style="margin-bottom:23px") Solicitação de licença indeferida
					//- span.col-md-4.icone-aguardando-comunicado.legenda-margin Aguardando resposta comunicado
					//- span.col-md-4.icone-aguardando-resposta-juridico.legenda-margin(style="margin-bottom:23px") Aguardando análise jurídica

				.legenda(ng-if="consultarProcesso.usuarioLogadoCodigoPerfil === consultarProcesso.perfis.PRESIDENTE || consultarProcesso.usuarioLogadoCodigoPerfil === consultarProcesso.perfis.DIRETOR || consultarProcesso.usuarioLogadoCodigoPerfil === consultarProcesso.perfis.CHEFE_UNIDADE")

					span.col-md-4.icone-licenca-emitida.legenda-margin Licença emitida
					span.col-md-4.icone-solicitacao-licenca-indeferida.legenda-margin Solicitação de licença indeferida
					//- span.col-md-4.icone-aguardando-pagamento-taxa.legenda-margin Análise Aprovada
					span.col-md-4.icone-solicitacao-desvinculo-pendente.legenda-margin Solicitação de Desvínculo Pendente
					span.col-md-4.icone-revisao-atendida.legenda-margin Notificado
					//- span.col-md-4.icone-solicitacao-finalizada-tecnica.legenda-margin(style="margin-bottom:23px") Análise técnica finalizada
					//- span.col-md-4.icone-aguardando-comunicado.legenda-margin Aguardando resposta comunicado
					//- span.col-md-4.icone-aguardando-resposta-juridico.legenda-margin(style="margin-bottom:23px") Aguardando análise jurídica

				.legenda(ng-if="consultarProcesso.usuarioLogadoCodigoPerfil === consultarProcesso.perfis.ANALISTA_TECNICO")

					span.col-md-4.icone-solicitacao-desvinculo-pendente.legenda-margin Solicitação de Desvínculo Pendente
					span.col-md-4.icone-.icone-solicitacao-finalizada-tecnica.legenda-margin Análise técnica finalizada
					span.col-md-4.icone-revisao-atendida.legenda-margin(style="margin-bottom:23px") Notificado
					//- span.col-md-4.icone-aguardando-comunicado.legenda-margin Aguardando resposta comunicado
					//- span.col-md-4.icone-aguardando-resposta-juridico.legenda-margin(style="margin-bottom:23px") Aguardando análise jurídica

				+paginacao('consultarProcesso.paginacao', 'consultarProcesso.onPaginaAlterada')

		.row(ng-show="!consultarProcesso.processos || consultarProcesso.processos.length == 0")
			.col-md-12
				p.empty-result Não existem dados a serem exibidos.
